Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter
Class XMLParameterReader

    java.lang.Object
      uchicago.src.sim.parameter.XMLParameterReader

Deprecated. This no longer is used, xml parameter files are now translated through XSLT to the normal parameter file format and read in through the ParameterReader.

    public class XMLParameterReader

extends java.lang.Object

Reads and parses xml format parameter files.

Version:
  $Revision: 1.8 $ $Date: 2005/03/29 16:54:14 $
See Also:
  `XSLTTransformer`, `ParameterReader`

Constructor Summary
`XMLParameterReader(java.lang.String fileName)` Deprecated.

Method Summary
`java.util.Vector` | `getParameters()` Deprecated.
`NumericParameter` | `handleBooleanConst(NumericParameter me, org.w3c.dom.NamedNodeMap attribs)` Deprecated.
`NumericParameter` | `handleBooleanList(NumericParameter me, org.w3c.dom.NamedNodeMap attribs)` Deprecated.
`NumericParameter` | `handleConst(NumericParameter me, org.w3c.dom.NamedNodeMap attribs)` Deprecated.
`NumericParameter` | `handleIncr(NumericParameter me, org.w3c.dom.NamedNodeMap attribs)` Deprecated.
`NumericParameter` | `handleList(NumericParameter me, org.w3c.dom.NamedNodeMap attribs)` Deprecated.
`NumericParameter` | `handleStringConst(NumericParameter me, org.w3c.dom.NamedNodeMap attribs)` Deprecated.
`NumericParameter` | `handleStringList(NumericParameter me, org.w3c.dom.NamedNodeMap attribs)` Deprecated.
`static void` | `main(java.lang.String[] args)` Deprecated.
`void` | `parse()` Deprecated. Parses the Document tree creating repast parameter objects from the elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParameterReader

    public XMLParameterReader(java.lang.String fileName)
                       throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Method Detail

### parse

    public void parse()

  Deprecated.
  Parses the Document tree creating repast parameter objects from the elements.

### getParameters

    public java.util.Vector getParameters()

  Deprecated.

### handleIncr

    public NumericParameter handleIncr(NumericParameter me,
                                       org.w3c.dom.NamedNodeMap attribs)
                                throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### handleList

    public NumericParameter handleList(NumericParameter me,
                                       org.w3c.dom.NamedNodeMap attribs)
                                throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### handleConst

    public NumericParameter handleConst(NumericParameter me,
                                        org.w3c.dom.NamedNodeMap attribs)
                                 throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### handleBooleanList

    public NumericParameter handleBooleanList(NumericParameter me,
                                              org.w3c.dom.NamedNodeMap attribs)
                                       throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### handleBooleanConst

    public NumericParameter handleBooleanConst(NumericParameter me,
                                               org.w3c.dom.NamedNodeMap attribs)
                                        throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### handleStringList

    public NumericParameter handleStringList(NumericParameter me,
                                             org.w3c.dom.NamedNodeMap attribs)
                                      throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### handleStringConst

    public NumericParameter handleStringConst(NumericParameter me,
                                              org.w3c.dom.NamedNodeMap attribs)
                                       throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD